## linux-fsl-imx51 2.6.28-19.61fsl1sendai25

=== drivers/mxc/Makefile ===
obj-$(CONFIG_MXC_IPU_V1)			+= ipu/
obj-$(CONFIG_MXC_IPU_V3)			+= ipu3/
obj-$(CONFIG_MXC_SSI)               	+= ssi/
obj-$(CONFIG_MXC_DAM)               	+= dam/

obj-$(CONFIG_MXC_PMIC_MC9SDZ60)		+= mcu_pmic/
obj-$(CONFIG_MXC_PMIC)			+= pmic/

obj-$(CONFIG_MXC_HMP4E)         	+= hmp4e/
obj-y                                   += security/
obj-$(CONFIG_MXC_VPU)                   += vpu/
obj-$(CONFIG_MXC_HWEVENT)               += hw_event/
obj-$(CONFIG_MXC_ASRC)                 += asrc/
obj-$(CONFIG_MXC_BLUETOOTH)		+= bt/
obj-$(CONFIG_GPS_IOCTRL)		+= gps_ioctrl/
obj-$(CONFIG_MXC_MLB)                   += mlb/
obj-$(CONFIG_IMX_ADC)                   += adc/
obj-$(CONFIG_MXC_VIBRATOR)		+= vibrator.o
obj-$(CONFIG_MXC_CTL_GPIO)		+= control_gpio.o

=== arch/arm/mach-mx51/Makefile ===
#
# Makefile for the linux kernel.
#

# Object file lists.


obj-y   := system.o iomux.o cpu.o mm.o clock.o devices.o serial.o dma.o lpmodes.o pm.o bus_freq.o

obj-y += dummy_gpio.o

obj-$(CONFIG_CPU_V7)        += wfi.o suspend.o
obj-$(CONFIG_MACH_MX51_3DS) += mx51_3stack.o mx51_3stack_gpio.o mx51_3stack_pmic_mc13892.o
obj-$(CONFIG_MACH_MX51_BABBAGE) += mx51_babbage.o mx51_babbage_gpio.o mx51_babbage_pmic_mc13892.o
obj-$(CONFIG_MACH_MX51_SENDAI) += mx51_sendai.o mx51_sendai_gpio.o mx51_sendai_pmic_mc13892.o mx51_sendai_splash.o mx51_sendai_bootinfo.o mx51_sendai_interface.o

obj-$(CONFIG_USB_EHCI_ARC_H1)   += usb_h1.o
obj-$(CONFIG_USB_EHCI_ARC_H2)   += usb_h2.o

ifneq ($(strip $(CONFIG_USB_GADGET_ARC) $(CONFIG_USB_EHCI_ARC_OTG)),)
    obj-y   += usb_dr.o
endif

=== arch/arm/mach-stmp3xxx/Makefile ===
#
# Makefile for the linux kernel.
#

# Object file lists.
obj-y += core.o timer.o irq.o dma.o clock.o pinmux.o \
	 gpio.o lradc.o devices.o gpmi.o spi.o mmc.o \
	 power.o \
	 persistent.o power-test.o

# charging/current limitation testing
obj-m += power-test.o

obj-$(CONFIG_ARCH_STMP378X) += dcp-bootstream.o

# Chip family select
obj-$(CONFIG_ARCH_STMP37XX) += stmp37xx.o stmp37xx_lcdif.o
obj-$(CONFIG_ARCH_STMP378X) += stmp378x.o stmp378x_lcdif.o

obj-$(CONFIG_MACH_STMP37XX) += stmp37xx_devb.o
obj-$(CONFIG_MACH_STMP378X) += stmp378x_devb.o stmp378x_i2c.o  stmp378x_pwm_led.o

# Power Management
obj-$(CONFIG_PM) += pm.o sleep.o
obj-$(CONFIG_CPU_FREQ) += cpufreq.o

# LCD panels support
obj-$(CONFIG_FB_STMP37XX_HX8238A)	+= lcd_hx8238a.o
obj-$(CONFIG_FB_STMP37XX_LMS350)	+= lcd_lms350.o
obj-$(CONFIG_FB_STMP37XX_LMS430)	+= lcd_lms430.o

# TVOUT support
obj-$(CONFIG_FB_STMP378X_TVENC)	+= tvenc.o

obj-$(CONFIG_STMP3XXX_UNIQUE_ID)	+= unique-id.o
obj-$(CONFIG_STMP3XXX_UNIQUE_ID_OTP)	+= otp.o
obj-$(CONFIG_STMP3XXX_UNIQUE_ID_FILE)	+= unique-id-file.o

obj-$(CONFIG_INPUT_STMP3XXX_ROTDEC)	+= stmp378x_devb_rotdec.o
obj-$(CONFIG_STMP378X_RAM_FREQ_SCALING)	+= emi.o

# SPDIF transmitter
obj-$(CONFIG_SND_SOC_STMP3XXX_SPDIF)	+= spdif.o

=== arch/arm/plat-mxc/Makefile ===
#
# Makefile for the linux kernel.
#

# Common support
obj-y := cpu_common.o gpio.o clock.o wdog.o snoop.o io.o time.o

obj-$(CONFIG_ARCH_MX2) += iomux-mx1-mx2.o dma-mx1-mx2.o

ifneq ($(CONFIG_ARCH_MX27),y)
obj-y += spba.o sdma/
endif

ifeq ($(CONFIG_MXC_TZIC),y)
obj-y += tzic.o
else
obj-y += irq.o
endif

obj-$(CONFIG_ARCH_MX27) += dma_mx2.o usb_common.o
obj-$(CONFIG_ARCH_MX3) += dptc.o usb_common.o entry-pm.o
obj-$(CONFIG_ARCH_MX35) += usb_common.o serialxc.o
obj-$(CONFIG_ARCH_MX37) += usb_common.o utmixc.o dptc.o dvfs_core.o
obj-$(CONFIG_ARCH_MX51) += usb_common.o utmixc.o dvfs_core.o

# LEDs support
obj-$(CONFIG_LEDS) += leds.o

# CPU FREQ support
obj-$(CONFIG_CPU_FREQ_IMX)    += cpufreq.o

# USB support
obj-$(CONFIG_ISP1504_MXC) += isp1504xc.o
obj-$(CONFIG_ISP1301_MXC) += isp1301xc.o
obj-$(CONFIG_MC13783_MXC) += mc13783_xc.o

# obj-$(CONFIG_USB_EHCI_FSL_UTMI) += utmixc.o
ifneq ($(strip $(CONFIG_USB_EHCI_FSL_UTMI) $(CONFIG_USB_GADGET_FSL_UTMI)),)
obj-y += utmixc.o
endif

ifneq ($(CONFIG_USB_EHCI_ARC_H1)$(CONFIG_USB_EHCI_ARC_H2),)
ifneq ($(CONFIG_ARCH_MX51),y)
obj-y += serialxc.o
else
obj-y += isp1504xc.o
endif
endif

ifneq ($(CONFIG_ARCH_MX25)$(CONFIG_USB),)
obj-y += usb_common.o
endif

ifeq ($(CONFIG_ARCH_MX25),y)
ifneq ($(CONFIG_USB_EHCI_ARC_H2),)
obj-y += serialxc.o
endif
endif

obj-$(CONFIG_MXC_PWM)  += pwm.o

=== drivers/input/keyboard/Makefile ===
#
# Makefile for the input core drivers.
#

# Each configuration option enables a list of files.

obj-$(CONFIG_KEYBOARD_ATKBD)		+= atkbd.o
obj-$(CONFIG_KEYBOARD_SUNKBD)		+= sunkbd.o
obj-$(CONFIG_KEYBOARD_LKKBD)		+= lkkbd.o
obj-$(CONFIG_KEYBOARD_XTKBD)		+= xtkbd.o
obj-$(CONFIG_KEYBOARD_AMIGA)		+= amikbd.o
obj-$(CONFIG_KEYBOARD_ATARI)		+= atakbd.o
obj-$(CONFIG_KEYBOARD_LOCOMO)		+= locomokbd.o
obj-$(CONFIG_KEYBOARD_NEWTON)		+= newtonkbd.o
obj-$(CONFIG_KEYBOARD_STOWAWAY)		+= stowaway.o
obj-$(CONFIG_KEYBOARD_CORGI)		+= corgikbd.o
obj-$(CONFIG_KEYBOARD_SPITZ)		+= spitzkbd.o
obj-$(CONFIG_KEYBOARD_TOSA)		+= tosakbd.o
obj-$(CONFIG_KEYBOARD_HIL)		+= hil_kbd.o
obj-$(CONFIG_KEYBOARD_HIL_OLD)		+= hilkbd.o
obj-$(CONFIG_KEYBOARD_MXC)		+= mxc_keyb.o
obj-$(CONFIG_KEYBOARD_MPR084)		+= mpr084.o
obj-$(CONFIG_KEYBOARD_STMP3XXX)		+= stmp3xxx-kbd.o
obj-$(CONFIG_KEYBOARD_OMAP)		+= omap-keypad.o
obj-$(CONFIG_KEYBOARD_PXA27x)		+= pxa27x_keypad.o
obj-$(CONFIG_KEYBOARD_AAED2000)		+= aaed2000_kbd.o
obj-$(CONFIG_KEYBOARD_GPIO)		+= gpio_keys.o
obj-$(CONFIG_KEYBOARD_HP6XX)		+= jornada680_kbd.o
obj-$(CONFIG_KEYBOARD_HP7XX)		+= jornada720_kbd.o
obj-$(CONFIG_KEYBOARD_MAPLE)		+= maple_keyb.o
obj-$(CONFIG_KEYBOARD_BFIN)		+= bf54x-keys.o
obj-$(CONFIG_KEYBOARD_SH_KEYSC)		+= sh_keysc.o
obj-$(CONFIG_KEYBOARD_MC9S08DZ60)	+= mc9s08dz60_keyb.o

=== drivers/input/misc/Makefile ===
#
# Makefile for the input misc drivers.
#

# Each configuration option enables a list of files.

obj-$(CONFIG_INPUT_SPARCSPKR)		+= sparcspkr.o
obj-$(CONFIG_INPUT_PCSPKR)		+= pcspkr.o
obj-$(CONFIG_INPUT_M68K_BEEP)		+= m68kspkr.o
obj-$(CONFIG_INPUT_STMP3XXX_ROTDEC)	+= stmp3xxx_rotdec.o
obj-$(CONFIG_INPUT_IXP4XX_BEEPER)	+= ixp4xx-beeper.o
obj-$(CONFIG_INPUT_COBALT_BTNS)		+= cobalt_btns.o
obj-$(CONFIG_INPUT_WISTRON_BTNS)	+= wistron_btns.o
obj-$(CONFIG_INPUT_ATLAS_BTNS)		+= atlas_btns.o
obj-$(CONFIG_INPUT_ATI_REMOTE)		+= ati_remote.o
obj-$(CONFIG_INPUT_ATI_REMOTE2)		+= ati_remote2.o
obj-$(CONFIG_INPUT_KEYSPAN_REMOTE)	+= keyspan_remote.o
obj-$(CONFIG_INPUT_POWERMATE)		+= powermate.o
obj-$(CONFIG_INPUT_YEALINK)		+= yealink.o
obj-$(CONFIG_INPUT_CM109)		+= cm109.o
obj-$(CONFIG_HP_SDC_RTC)		+= hp_sdc_rtc.o
obj-$(CONFIG_INPUT_UINPUT)		+= uinput.o
obj-$(CONFIG_INPUT_APANEL)		+= apanel.o
obj-$(CONFIG_INPUT_SGI_BTNS)		+= sgi_btns.o

=== drivers/mtd/devices/Makefile ===
#
# linux/drivers/devices/Makefile
#

obj-$(CONFIG_MTD_DOC2000)	+= doc2000.o
obj-$(CONFIG_MTD_DOC2001)	+= doc2001.o
obj-$(CONFIG_MTD_DOC2001PLUS)	+= doc2001plus.o
obj-$(CONFIG_MTD_DOCPROBE)	+= docprobe.o
obj-$(CONFIG_MTD_DOCECC)	+= docecc.o
obj-$(CONFIG_MTD_SLRAM)		+= slram.o
obj-$(CONFIG_MTD_PHRAM)		+= phram.o
obj-$(CONFIG_MTD_PMC551)	+= pmc551.o
obj-$(CONFIG_MTD_MS02NV)	+= ms02-nv.o
obj-$(CONFIG_MTD_MTDRAM)	+= mtdram.o
obj-$(CONFIG_MTD_LART)		+= lart.o
obj-$(CONFIG_MTD_BLOCK2MTD)	+= block2mtd.o
obj-$(CONFIG_MTD_DATAFLASH)	+= mtd_dataflash.o
obj-$(CONFIG_MTD_M25P80)	+= m25p80.o
obj-$(CONFIG_MTD)               += mxc_dataflash.o

=== drivers/mtd/nand/Makefile ===
#
# linux/drivers/nand/Makefile
#

obj-$(CONFIG_MTD_NAND)			+= nand.o nand_ecc.o
obj-$(CONFIG_MTD_NAND_IDS)		+= nand_ids.o

obj-$(CONFIG_MTD_NAND_CAFE)		+= cafe_nand.o
obj-$(CONFIG_MTD_NAND_SPIA)		+= spia.o
obj-$(CONFIG_MTD_NAND_AMS_DELTA)	+= ams-delta.o
obj-$(CONFIG_MTD_NAND_AUTCPU12)		+= autcpu12.o
obj-$(CONFIG_MTD_NAND_EDB7312)		+= edb7312.o
obj-$(CONFIG_MTD_NAND_AU1550)		+= au1550nd.o
obj-$(CONFIG_MTD_NAND_BF5XX)		+= bf5xx_nand.o
obj-$(CONFIG_MTD_NAND_PPCHAMELEONEVB)	+= ppchameleonevb.o
obj-$(CONFIG_MTD_NAND_S3C2410)		+= s3c2410.o
obj-$(CONFIG_MTD_NAND_DISKONCHIP)	+= diskonchip.o
obj-$(CONFIG_MTD_NAND_H1900)		+= h1910.o
obj-$(CONFIG_MTD_NAND_RTC_FROM4)	+= rtc_from4.o
obj-$(CONFIG_MTD_NAND_SHARPSL)		+= sharpsl.o
obj-$(CONFIG_MTD_NAND_TS7250)		+= ts7250.o
obj-$(CONFIG_MTD_NAND_NANDSIM)		+= nandsim.o
obj-$(CONFIG_MTD_NAND_CS553X)		+= cs553x_nand.o
obj-$(CONFIG_MTD_NAND_NDFC)		+= ndfc.o
obj-$(CONFIG_MTD_NAND_ATMEL)		+= atmel_nand.o
obj-$(CONFIG_MTD_NAND_GPIO)		+= gpio.o
obj-$(CONFIG_MTD_NAND_IMX_NFC)		+= imx_nfc.o
obj-$(CONFIG_MTD_NAND_MXC)		+= mxc_nd.o
obj-$(CONFIG_MTD_NAND_MXC_V2)		+= mxc_nd2.o
obj-$(CONFIG_MTD_NAND_MXC_V3)		+= mxc_nd2.o
obj-$(CONFIG_MTD_NAND_GPMI)		+= gpmi/
obj-$(CONFIG_MTD_NAND_GPMI_LBA)		+= lba/
obj-$(CONFIG_MTD_NAND_CM_X270)		+= cmx270_nand.o
obj-$(CONFIG_MTD_NAND_BASLER_EXCITE)	+= excite_nandflash.o
obj-$(CONFIG_MTD_NAND_PXA3xx)		+= pxa3xx_nand.o
obj-$(CONFIG_MTD_NAND_TMIO)		+= tmio_nand.o
obj-$(CONFIG_MTD_NAND_PLATFORM)		+= plat_nand.o
obj-$(CONFIG_MTD_ALAUDA)		+= alauda.o
obj-$(CONFIG_MTD_NAND_PASEMI)		+= pasemi_nand.o
obj-$(CONFIG_MTD_NAND_ORION)		+= orion_nand.o
obj-$(CONFIG_MTD_NAND_FSL_ELBC)		+= fsl_elbc_nand.o
obj-$(CONFIG_MTD_NAND_FSL_UPM)		+= fsl_upm.o
obj-$(CONFIG_MTD_NAND_SH_FLCTL)		+= sh_flctl.o

nand-objs := nand_base.o nand_bbt.o

=== drivers/video/mxc/Makefile ===
ifeq ($(CONFIG_ARCH_MX21)$(CONFIG_ARCH_MX27)$(CONFIG_ARCH_MX25),y)
	obj-$(CONFIG_FB_MXC_TVOUT)              += fs453.o
	obj-$(CONFIG_FB_MXC_SYNC_PANEL)         += mx2fb.o mxcfb_modedb.o
	obj-$(CONFIG_FB_MXC_EPSON_PANEL)        += mx2fb_epson.o
else
ifeq ($(CONFIG_MXC_IPU_V1),y)
	obj-$(CONFIG_FB_MXC_SYNC_PANEL)         += mxcfb.o mxcfb_modedb.o
else
	obj-$(CONFIG_FB_MXC_SYNC_PANEL)         += mxc_ipuv3_fb.o
endif
	obj-$(CONFIG_FB_MXC_TVOUT)              += fs453.o
	obj-$(CONFIG_FB_MXC_EPSON_PANEL)        += mxcfb_epson.o
	obj-$(CONFIG_FB_MXC_EPSON_QVGA_PANEL)   += mxcfb_epson_qvga.o
	obj-$(CONFIG_FB_MXC_TOSHIBA_QVGA_PANEL) += mxcfb_toshiba_qvga.o
	obj-$(CONFIG_FB_MXC_SHARP_128_PANEL)    += mxcfb_sharp_128x128.o
endif
obj-$(CONFIG_FB_MXC_EPSON_VGA_SYNC_PANEL)   += mxcfb_epson_vga.o
obj-$(CONFIG_FB_MXC_CLAA_WVGA_SYNC_PANEL)   += mxcfb_claa_wvga.o
obj-$(CONFIG_FB_MXC_SHARP_WSVGA_SYNC_PANEL)   += mxcfb_sharp_wsvga.o
obj-$(CONFIG_FB_MXC_TVOUT_CH7024)           += ch7024.o
obj-$(CONFIG_FB_MXC_TVOUT_TVE)              += tve.o
obj-$(CONFIG_FB_MXC_CH7026)		    		+= mxcfb_ch7026.o
obj-$(CONFIG_FB_MODE_HELPERS)				+= mxc_edid.o

=== sound/soc/imx/Makefile ===
# i.MX Platform Support
snd-soc-imx-objs := imx-pcm.o
snd-soc-imx-ssi-objs := imx-ssi.o
snd-soc-imx-esai-objs := imx-esai.o

obj-$(CONFIG_SND_MXC_SOC) += snd-soc-imx.o
obj-$(CONFIG_SND_MXC_SOC_SSI) += snd-soc-imx-ssi.o
obj-$(CONFIG_SND_MXC_SOC_ESAI) += snd-soc-imx-esai.o

# i.MX Machine Support
snd-soc-imx-3stack-wm8350-objs := imx-3stack-wm8350.o
obj-$(CONFIG_SND_SOC_IMX_3STACK_WM8350) += snd-soc-imx-3stack-wm8350.o
snd-soc-imx-3stack-sgtl5000-objs := imx-3stack-sgtl5000.o
obj-$(CONFIG_SND_SOC_IMX_3STACK_SGTL5000) += snd-soc-imx-3stack-sgtl5000.o
snd-soc-imx-3stack-ak4647-objs := imx-3stack-ak4647.o
obj-$(CONFIG_SND_SOC_IMX_3STACK_AK4647) += snd-soc-imx-3stack-ak4647.o
snd-soc-imx-3stack-wm8580-objs := imx-3stack-wm8580.o
obj-$(CONFIG_SND_SOC_IMX_3STACK_WM8580) += snd-soc-imx-3stack-wm8580.o
snd-soc-imx-3stack-ak5702-objs := imx-3stack-ak5702.o
obj-$(CONFIG_SND_SOC_IMX_3STACK_AK5702) += snd-soc-imx-3stack-ak5702.o
snd-soc-imx-3stack-bt-objs := imx-3stack-bt.o
obj-$(CONFIG_SND_SOC_IMX_3STACK_BLUETOOTH) += snd-soc-imx-3stack-bt.o

=== debian/changelog ===
linux-fsl-imx51 (2.6.28-19.61fsl1sendai25) jaunty; urgency=low

  [ Upstream Kernel Changes ]

  * sendai: increase the sdhci cmd timeout and change the internal
    version
    - LP: #735223

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 28 Apr 2011 16:42:20 +0800

linux-fsl-imx51 (2.6.28-19.61fsl1sendai24) jaunty; urgency=low

  [ Upstream Kernel Changes ]

  * Sendai: pmic: Fix battery discharge when working
    - LP: #651816
  * Sendai: update Sharp version string
    - LP: #651816

 -- Ike Panhc <ike.pan@canonical.com>  Wed, 06 Oct 2010 16:07:29 +0800

linux-fsl-imx51 (2.6.28-19.61fsl1sendai23) jaunty; urgency=low

  [ Ike Panhc ]

  * Update ABI

 -- Ike Panhc <ike.pan@canonical.com>  Mon, 19 Jul 2010 22:05:02 +0800

linux-fsl-imx51 (2.6.28-19.61fsl1sendai22) jaunty; urgency=low

  [ Ike Panhc ]

  * (buildenv) let linux-image depends on wifi module

 -- Ike Panhc <ike.pan@canonical.com>  Fri, 16 Jul 2010 13:57:45 +0800

linux-fsl-imx51 (2.6.28-19.61fsl1sendai21) jaunty; urgency=low

  [ Ike Panhc ]

  * Revert "(buildenv) Dont check for privous ABI/module"
  * Sendai: oj6sh: add new driver
  * Sendai: mxc_pwm: add new driver
  * Sendai: mxcfb_sharp_wsvga: add new driver
  * Sendai: splash: add default splash bitmap
  * Sendai: spi_nor: add new driver
  * Sendai: mmc: reset MMC IO before rescan
  * Sendai: rtc-mc13892: mxc_rtc_read_time() check TOD and DAY reg
  * Sendai: mxc_i2c: fix mxc_i2c_xfer() return error
  * Sendai: printk: Support for CONFIG_PRINTK_ERR_ONLY
  * Sendai: hid: autosuspend support for USB HID
  * Sendai: led: LED check in suspend mode
  * Sendai: sound: Only shutdown sound when its closed
  * Sendai: usb/hub: fix probrem of detect USB strage at powerup
  * Sendai: usb: stop leak current of USB VBUS at resume
  * Sendai: mxc_wdt: initialize watchdog timer before mount root file
    system
  * Sendai: backlight: LCD back light force unblank at resume time
  * Sendai: vibrator: Add new driver
  * Sendai: option: Add 3G modem IDs
  * Sendai: imx-ssi: disable audio when suspend
  * Sendai: iomux: fix exclution probrem of WLAN iomux
  * Sendai: usbhid: Fix USBHID does not work after resume
  * Sendai: usb_dr: Add suspend/resume function
  * Sendai: fec: Fix full duplex and auto-nego error
  * Sendai: hid: update ignore list
  * Sendai: nfc: Not to init
  * ENGR00113878 IPUv3:Support DP alpha blending
  * Sendai: add new platform
  * Sendai: Sync with lastest tarball (Part 1)
  * Sendai: Sync with lastest tarball (Part 2)
  * Sendai: Sync with lastest tarball (Part 3)
  * Sendai: Sync with lastest tarball (Part 4)
  * Sendai: Sync with lastest tarball (Part 5)
  * Sendai: Sync with lastest tarball (Part 6)
  * Sendai: Sync with lastest tarball (Part 7)
  * Sendai: Sync with lastest tarball (Part 8)
  * Sendai: usb: Fix resume issue
  * Sendai: fixed AMP enable/disable at mxc_sgtl5000_line_mute()
  * Sendai: Copy the kernel image to /dev/sda1
  * Sendai: Microphone Initialize bit changed
  * Sendai: Fix system hang by USB suspend/resume
    - LP: #551768
  * Sendai: update config
  * Sendai: config: enable CONFIG_SDIO_UNIFI_FS
  * Sendai: printk: lower default output level
  * Sendai: futex: Fix sometimes mouse will freeze
  * Sendai: config: Enable for headset device
  * Sendai: Add 3G modem ids part 2
  * Sendai: Fix 1st time boot will fail
  * Sendai: Fix 1st time boot will fail part 2
  * Sendai: update config
  * Sendai: add the 20100416 patches from pegatron
  * Sendai: Fix something error about usb suspend
  * Sendai: Hide cursor when booting
  * Sendai: Set IGNORE_MOVE_ to 0
  * Sendai: SPI: Resummit frame when timeout
  * Sendai: Reconfig IOMUX pins for micro sd
  * Sendai: pmic_adc: remove CONFIG_MACH_MX51_PEGA from control
    - LP: #568795
  * Sendai: oj6sh: using timer to poll gpio button status
    - LP: #568800
  * Sendai: mtd: scan BBT in the 3rd or last page
    - LP: #568808
  * Sendai: ubifs: Update filesystem
    - LP: #568808
  * Sendai: jffs2: Update filesystem
    - LP: #568808
  * Sendai: Update Sharp kernel version
    - LP: #568816
  * Sendai: APM: add custom apm settings
  * Sendai: update Sharp version string
    - LP: #569972
  * Sendai: console: keyboard event drop at con_close
    - LP: #569981
  * Sendai: ubifs: Sync ubifs codes
    - LP: #569983
  * Sendai: merge code from freescale patches
    - LP: #569985
  * Sendai: mmc: second delay 8->200 in mmc_power_up
    - LP: #569986
  * Sendai: mmc: fix microSD error when inserting/removing at suspend state
    - LP: #569987
  * Sendai: mmc: Set upper limit clock for SDIO
    - LP: #569991
  * Sendai: mxc_wdt: turn off wdt before shutdown
    - LP: #569992
  * Sendai: sgtl5000: option setting of sound
    - LP: #569995
  * Sendai: pm: using isTogHostMode to replace isAcadapter
    - LP: #572107
  * Sendai: usb: Fix mouse can not work when booting with mouse plugged
    - LP: #572107
  * Sendai: usb: Fix automatic suspend state is invalidated
    - LP: #572107
  * Sendai: update Sharp version string
    - LP: #572107
  * Sendai: Fix a new folder opened when resume with USB storage device
    plugged
    - LP: #562116
  * Sendai: Fix USB mouse becomes lagging after resume part 1
    - LP: #571721
  * Sendai: Fix USB mouse becomes lagging after resume part 2
    - LP: #571721
  * Sendai: update Sharp version string
    - LP: #571721
  * Sendai: pmic: autocharge thermistor check
    - LP: #582020
  * Sendai: pmic: disable thermister check and enable trickle charge
    - LP: #582020
  * Sendai: pmic: Turn on regulators in suspend state
    - LP: #588554
  * Sendai: pmic: Turn off regulators because of power consumption
    - LP: #588554
  * Sendai: usb: usb power controlled by host
    - LP: #588556
  * Sendai: gpio: review IOMUX settings part 1
    - LP: #588557
  * Sendai: gpio: review IOMUX settings part 2
    - LP: #588557
  * Sendai: sgtl5000: Fix sound of the left channel may not be composed
    - LP: #593518
  * Sendai: framebuffer: remove internal lcd power flag
    - LP: #593520


=== debian/control ===
Source: linux-fsl-imx51
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [!armel]
Build-Depends-Indep: xmlto, docbook-utils, gs, transfig, bzip2, sharutils
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty.git

Package: linux-fsl-imx51-source-2.6.28
Architecture: all
Section: devel
Priority: optional
Provides: linux-fsl-imx51-source, linux-fsl-imx51-source-2.6
Depends: binutils, bzip2, coreutils | fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux kernel source for version 2.6.28 with Ubuntu patches
 This package provides the source code for the Linux kernel version
 2.6.28.
 .
 This package is mainly meant for other packages to use, in order to build
 custom flavours.
 .
 If you wish to use this package to create a custom Linux kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate linux-headers
 package instead.


Package: linux-image-2.6.28-19-sendai
Architecture: armel
Section: base
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, 
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda, csr-bt-wifi-tool (= 0.10-16-tsm9)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: flash-kernel
Suggests: fdutils, linux-fsl-imx51-doc-2.6.28 | linux-fsl-imx51-source-2.6.28
Description: Linux kernel image for version 2.6.28 on I.MX51-based systems
 This package contains the Linux kernel image for version 2.6.28 on
 I.MX51-based systems.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports I.MX51 processors.
 .
 Babbage and 3-stack boards
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sendai meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.28-19-sendai
Architecture: armel
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), ${shlibs:Depends}
Provides: linux-fsl-imx51-headers, linux-fsl-imx51-headers-2.6
Description: Linux kernel headers for version 2.6.28 on I.MX51-based systems
 This package provides kernel header files for version 2.6.28 on
 I.MX51-based systems.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-fsl-imx51-headers-2.6.28-19/debian.README.gz for details.

Package: linux-image-debug-2.6.28-19-sendai
Architecture: armel
Section: devel
Priority: optional
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.28 on I.MX51-based systems
 This package provides a kernel debug image for version 2.6.28 on
 I.MX51-based systems.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: kernel-image-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: kernel-image, crypto-modules, ext2-modules, ext3-modules, socket-modules, fat-modules
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the Linux kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nfs-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: nfs-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: standard
Description: NFS filesystem drivers
 Includes the NFS client driver, and supporting modules.

Package: nic-usb-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: nic-usb-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: standard
Description: USB network interface support

Package: crypto-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: crypto-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: extra
Description: crypto modules
 This package contains crypto modules.

Package: fs-core-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: fs-core-modules, jfs-modules, reiserfs-modules, xfs-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: standard
Description: Base filesystem modules
 This includes jfs, reiserfs and xfs.

Package: storage-core-modules-2.6.28-19-sendai-di
XC-Package-Type: udeb
Provides: storage-core-modules, loop-modules
Depends: kernel-image-2.6.28-19-sendai-di
Architecture: armel
XB-Kernel-Version: 2.6.28-19-sendai
Section: debian-installer
Priority: standard
Description: Core storage support
 Includes core SCSI, LibATA, USB-Storage. Also includes related block
 devices for CD, Disk and Tape medium (and IDE Floppy).

=== debian/rules ===
#!/usr/bin/make -f
#
# $(DEBIAN)/rules for Ubuntu linux
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#

ifeq ($(DEBIAN),)
DEBIAN=debian.sendai
endif

DENV=debian/debian.env

printdebian:
	@echo "$(DEBIAN)"

# Debian Build System targets
%:
	@if [ ! -f $(DENV) ] ; then echo DEBIAN=$(DEBIAN) > $(DENV); chmod +x $(DENV); fi
	@$(MAKE) --no-print-directory -f $(DEBIAN)/rules $@ DEBIAN=$(DEBIAN)
